Bug 251048 - lang/sdcc does not install pic18*.h (per-chip) include files
Summary: lang/sdcc does not install pic18*.h (per-chip) include files
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-11-11 14:04 UTC by Poul-Henning Kamp
Modified: 2020-12-14 03:42 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (darius)


Attachments
Attempted patch (95.83 KB, patch)
2020-11-11 20:03 UTC, Poul-Henning Kamp
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Poul-Henning Kamp freebsd_committer 2020-11-11 14:04:53 UTC
Typical error message:

    /usr/local/bin/../share/sdcc/include/pic16/pic18fregs.h:724:26: fatal error:
        pic18f8720.h: No such file or directory
Comment 1 Poul-Henning Kamp freebsd_committer 2020-11-11 20:03:47 UTC
Created attachment 219573 [details]
Attempted patch

I'm not a ports-committer, and I basically just hacked away at things until it worked, but I think this patch is within striking distance of a fix.
Comment 2 darius 2020-11-11 22:10:49 UTC
The patch looks fine to me, I assume you've tested it and it works?
(I only use SDCC for the 8051 Cypress FX2).

I tested the patch and it builds (PORTREVISION will need to be bumped as well).

Can a ports committer please do the deed?

Thanks.
Comment 3 Poul-Henning Kamp freebsd_committer 2020-11-11 22:27:52 UTC
I have tested it only for PIC18F8720, but that works.
Comment 4 darius 2020-11-12 02:48:25 UTC
(In reply to Poul-Henning Kamp from comment #3)
Ship it then :)
Comment 5 Automation User 2020-11-27 00:39:08 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/221963577
Comment 6 commit-hook freebsd_committer 2020-12-14 03:42:23 UTC
A commit references this bug:

Author: zi
Date: Mon Dec 14 03:42:05 UTC 2020
New revision: 558074
URL: https://svnweb.freebsd.org/changeset/ports/558074

Log:
  - Install per-chip include files
  - Bump PORTREVISION

  PR:		251048
  Submitted by:	phk@
  Approved by:	maintainer <darius@dons.net.au>

Changes:
  head/lang/sdcc/Makefile
  head/lang/sdcc/pkg-plist